mscorlib 4.0.0.0 System.Object System.IDisposable System.Diagnostics.DebuggerDisplay("IsValueCreated={IsValueCreated}, Value={ValueForDebugDisplay}") To be added. To be added.

Provides thread-local storage of data.

- Constructor
  4.0.0.0

  The default value is used to initialize the instance when is accessed for the first time

  Initializes the instance.

- Constructor
  4.0.0.0
  To be added.

  Initializes the instance.

  Whether to track all values set on the instance and expose them through the property.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  4.0.0.0
  System.Void ``

  Unlike most of the members of , this method is not thread-safe.

  Releases the resources used by this instance.

  A Boolean value that indicates whether this method is being called due to a call to .
- Method
  4.0.0.0
  System.Void To be added.

  Releases the resources used by this instance.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets whether is initialized on the current thread.

- Method
  4.0.0.0
  System.String

  Calling this method forces initialization for the current thread, as is the case with accessing directly.

  Creates and returns a string representation of this instance for the current thread.

  The result of calling on the .

- Property
  4.0.0.0
  System.Diagnostics.DebuggerBrowsable(System.Diagnostics.DebuggerBrowsableState.Never)
  T To be added.

  If this instance was not previously initialized for the current thread, accessing will attempt to initialize it. If an initialization function was supplied during the construction, that initialization will happen by invoking the function to retrieve the initial value for . Otherwise, the default value of will be used. If an exception is thrown, that exception is cached and thrown on each subsequent access of the property.

  Gets or sets the value of this instance for the current thread.

- Property
  4.0.0.0
  System.Collections.Generic.IList<T> To be added. To be added.

  Gets a list for all of the values currently stored by all of the threads that have accessed this instance.